<?php

function GetParams()
{
    return $_SERVER['REQUEST_METHOD'] == "POST" ? $_POST : $_GET;
}

include("../mapviewerphp/constants.php");

MgInitializeWebTier("../webconfig.ini");

$params = GetParams();
$session = $params['SESSION'];
$mapName = $params['MAPNAME'];

$groupName = "Test Group";
$layerName = "Test Layer";

$conn = new MgSiteConnection();
$userInfo = new MgUserInformation($session);
$conn->Open($userInfo);

$map = new MgMap($conn);
$map->Open($mapName);

$resSvc = $conn->CreateService(MgServiceType::ResourceService);

$message = "";
$groups = $map->GetLayerGroups();
if (!$groups->Contains($groupName))
{
	$group = new MgLayerGroup($groupName);
	$group->SetLegendLabel($groupName);
	
	//Comment this line and the group will not be initially expanded when
	//legend is refreshed.
	$group->SetExpandInLegend(true);
	
	$group->SetDisplayInLegend(true);
	$group->SetVisible(true);
	
	$groups->Add($group);
	$layers = $map->GetLayers();
	
	if (!$layers->Contains($layerName))
	{
		$lid = new MgResourceIdentifier("Library://Samples/Sheboygan/Layers/Roads.LayerDefinition");
		$layer = new MgLayer($lid, $resSvc);
		$layer->SetName($layerName);
		$layer->SetVisible(true);
		$layer->SetDisplayInLegend(true);
		$layer->SetLegendLabel("Test Layer");
		$layer->ForceRefresh();
		$layer->SetGroup($group);
	

		$layers->Add($layer);
	}
	$message = "Layer group ($groupName) added. It should be expanded";
}
else
{
	$group = $groups->GetItem($groupName);
	if (!$group->GetExpandInLegend())
	{
		$group->SetExpandInLegend(true);
		$message = "Layer group ($groupName) exists but was not expanded. It should now be expanded";
	}
	else
	{
		$message = "Layer group ($groupName) exists and is expanded. Nothing done";
	}
}

$map->Save();

?>
<html>
	<head>
		<script type="text/javascript">
		
			window.onload = function() {
				parent.parent.Refresh();
			};
		
		</script>
	</head>
	<body>
		<p><?=$message?></p>
	</body>
</html>